Skip to main content
GET
cURL
Use this endpoint to check the ingestion status of a FHIR bundle upload. This is Step 3 of the CKG data ingestion workflow. Provide the transaction_id returned by the Request upload URL API to retrieve the current status of the ingestion job.

Ingestion status values

An ingestion job progresses through the following status values:
Polling recommendationsFollow these guidelines when polling for the ingestion status:
  • Poll this endpoint every 5 seconds.
  • Stop polling when the status is COMPLETED, FAILED, or ARCHIVED.
  • Ingestion status is available for 7 days after the last status update.
When the status is COMPLETED, the FHIR data is available in the Clinical Knowledge Graph (CKG). You can then generate a Patient Summary for the encounters in the uploaded FHIR bundle.
Once the ingestion status is COMPLETED, generate Patient Summaries for the encounters by using the following endpoints:

Authorizations

sdp_suki_token
string
header
required

Suki access token (suki_token) from Login or Register. Expires after one hour.

Path Parameters

transaction_id
string
required

Transaction identifier returned by GET /api/v1/fhir-push/upload-url.

Response

Transaction status returned successfully.

transaction_id
string
required

Unique identifier for this ingestion transaction.

status
string
required

Current transaction status: CREATED | READY | RUNNING | COMPLETED | FAILED | ARCHIVED

created_at
string<date-time>
required

RFC 3339 timestamp when the transaction was created.

organization_id
string

Organization identifier associated with this upload.

correlation_id
string

Client-supplied or server-generated correlation ID for tracing.

updated_at
string<date-time>

RFC 3339 timestamp of the last status update.

completed_at
string<date-time> | null

RFC 3339 timestamp when processing completed (present for terminal statuses).

error
string | null

Error details when the transaction status is FAILED; otherwise null.

Last modified on August 7, 2026